KIM API Installation from Binary

Binary packages are currently available for:

Information for installing from binary on these systems is provided below.


Ubuntu (version Vivid 15.04 and Trusty 14.04 LTS) binary packages

For Ubuntu systems, there are separate binary packages available for the KIM API and each KIM Model available from OpenKIM. There is also a package that allows for the installation of all KIM Models available from OpenKIM in one step.

You need to install the KIM API and then install any KIM Models from OpenKIM you are interested in using.

To install the KIM API (this installs the API system-wide and requires root access)

$ sudo add-apt-repository ppa:openkim/openkim
$ sudo apt-get update
$ sudo apt-get install kim-api


To get a list of the available Ubuntu packages for KIM Models from OpenKIM

$ apt-cache search openkim


To get information about any particular package use apt-cache show. For example

$ apt-cache show openkim-mo-947112899505-001


To install a single KIM Model from OpenKIM use apt-get install. For example

$ sudo apt-get install openkim-mo-947112899505-001


To install all KIM Models available from OpenKIM

$ sudo apt-get install openkim-v1-all

CentOS (version 6 and 7) binary packages

For CentOS systems, there are separate binary packages available for the KIM API and each KIM Model available from OpenKIM. There is also a package that allows for the installation of all KIM Models available from OpenKIM in one step.

You need to install the KIM API and then install any KIM Models from OpenKIM you are interested in using.

To install the KIM API (this installs the API system-wide and requires root access)

$ sudo yum update
$ wget https://packages.openkim.org/rpm/centos/openkim-centos-rhel-repo-1-2.noarch.rpm
$ sudo rpm -i openkim-centos-rhel-repo-1-2.noarch.rpm
$ sudo yum update
$ sudo yum install kim-api


To get a list of the available CentOS packages for KIM Models from OpenKIM

$ yum list "openkim-mo-*"


To get information about any particular package use yum info. For example

$ yum info openkim-mo-947112899505-001


To install a single KIM Model from OpenKIM use yum install. For example

$ sudo yum install openkim-mo-947112899505-001


To install all KIM Models available from OpenKIM

$ sudo yum install openkim-v1-all

Fedora (version 22) binary packages

For Fedora systems, there are separate binary packages available for the KIM API and each KIM Model available from OpenKIM. There is also a package that allows for the installation of all KIM Models available from OpenKIM in one step.

You need to install the KIM API and then install any KIM Models from OpenKIM you are interested in using.

To install the KIM API (this installs the API system-wide and requires root access)

$ sudo dnf update
$ wget https://packages.openkim.org/rpm/fedora/openkim-fedora-repo-1-2.noarch.rpm
$ sudo rpm -i openkim-fedora-repo-1-2.noarch.rpm
$ sudo dnf update
$ sudo dnf install kim-api


To get a list of the available Fedora packages for KIM Models from OpenKIM

$ dnf list "openkim-mo-*"


To get information about any particular package use dnf info. For example

$ dnf info openkim-mo-947112899505-001


To install a single KIM Model from OpenKIM use dnf install. For example

$ sudo dnf install openkim-mo-947112899505-001


To install all KIM Models available from OpenKIM

$ sudo dnf install openkim-v1-all

openSUSE (version 42.1) binary packages

For openSUSE systems, there are separate binary packages available for the KIM API and each KIM Model available from OpenKIM. There is also a package that allows for the installation of all KIM Models available from OpenKIM in one step.

You need to install the KIM API and then install any KIM Models from OpenKIM you are interested in using.

To install the KIM API (this installs the API system-wide and requires root access)

$ sudo zypper update
$ sudo zypper ar -t rpm-md -f -G -c https://packages.openkim.org/rpm/opensuse/42.1/x86_64 openkim
$ sudo zypper update
$ sudo zypper install kim-api


To get a list of the available openSUSE packages for KIM Models from OpenKIM

$ zypper search "openkim-mo-*"


To get information about any particular package use zypper info. For example

$ zypper info openkim-mo-947112899505-001


To install a single KIM Model from OpenKIM use zypper install. For example

$ sudo zypper install openkim-mo-947112899505-001


To install all KIM Models available from OpenKIM

$ sudo zypper install openkim-v1-all

Support

If you have problems or questions, send an email with your question and all relevant information to

openkim@googlegroups.com

Your message will be posted to the openkim google group:

http://groups.google.com/group/openkim

The members of the openkim development team actively monitor this forum and will do their best to help you with your question in a timely fashion. This forum is also used to announce minor new releases and bug fixes.

If you plan to work with the KIM API, it is highly recommended that you become a member of the openkim group. (Just go to the above link and click on "Join this group" on the right of the screen.)